Module com.io7m.jtensors.storage.heap
Package com.io7m.jtensors.storage.heap

## Class VectorMutable4L

- java.lang.Object
- - com.io7m.jtensors.storage.heap.VectorMutable4L

- All Implemented Interfaces:
    `VectorReadable2LType`, `VectorReadable3LType`, `VectorReadable4LType`, `VectorStorageIntegral2Type`, `VectorStorageIntegral3Type`, `VectorStorageIntegral4Type`, `VectorStorageType`

      public final class VectorMutable4L
      extends Object
      implements VectorStorageIntegral4Type

  A heap-based vector.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VectorMutable4L​()` | Create a new vector.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` |
    `int` | `hashCode​()` |
    `void` | `setW​(long in_w)` | Set the `w` component.
    `void` | `setX​(long in_x)` | Set the `x` component.
    `void` | `setY​(long in_y)` | Set the `Y` component.
    `void` | `setZ​(long in_z)` | Set the `z` component.
    `String` | `toString​()` |
    `long` | `w​()` |
    `long` | `x​()` |
    `long` | `y​()` |
    `long` | `z​()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.io7m.jtensors.storage.api.unparameterized.vectors.VectorStorageIntegral2Type

      `setVector2I, setVector2L, setXY`

    - ### Methods inherited from interface com.io7m.jtensors.storage.api.unparameterized.vectors.VectorStorageIntegral3Type

      `setVector3I, setVector3L, setXYZ`

    - ### Methods inherited from interface com.io7m.jtensors.storage.api.unparameterized.vectors.VectorStorageIntegral4Type

      `setVector4I, setVector4L, setXYZW`

- - ### Constructor Detail

    - #### VectorMutable4L

          public VectorMutable4L​()

      Create a new vector.

  - ### Method Detail

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode​()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString​()

      Overrides:
        `toString` in class `Object`

    - #### x

          public long x​()

      Specified by:
        `x` in interface `VectorReadable2LType`
      Returns:
        The `x` component

    - #### y

          public long y​()

      Specified by:
        `y` in interface `VectorReadable2LType`
      Returns:
        The `y` component

    - #### w

          public long w​()

      Specified by:
        `w` in interface `VectorReadable4LType`
      Returns:
        The `w` component

    - #### z

          public long z​()

      Specified by:
        `z` in interface `VectorReadable3LType`
      Returns:
        The `z` component

    - #### setZ

          public void setZ​(long in_z)

      Description copied from interface: `VectorStorageIntegral3Type`
      Set the `z` component.
      Specified by:
        `setZ` in interface `VectorStorageIntegral3Type`
      Parameters:
        `in_z` - The Z component

    - #### setX

          public void setX​(long in_x)

      Description copied from interface: `VectorStorageIntegral2Type`
      Set the `x` component.
      Specified by:
        `setX` in interface `VectorStorageIntegral2Type`
      Parameters:
        `in_x` - The X component

    - #### setY

          public void setY​(long in_y)

      Description copied from interface: `VectorStorageIntegral2Type`
      Set the `Y` component.
      Specified by:
        `setY` in interface `VectorStorageIntegral2Type`
      Parameters:
        `in_y` - The Y component

    - #### setW

          public void setW​(long in_w)

      Description copied from interface: `VectorStorageIntegral4Type`
      Set the `w` component.
      Specified by:
        `setW` in interface `VectorStorageIntegral4Type`
      Parameters:
        `in_w` - The W component

Copyright © 2017 <code@io7m.com> http://io7m.com